clang-tools 6.0.0

Classes | Namespaces
MakeSmartPtrCheck.h File Reference
`#include "../ClangTidy.h"`
`#include "../utils/IncludeInserter.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/ASTMatchers/ASTMatchersInternal.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <string>`
Include dependency graph for MakeSmartPtrCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::modernize::MakeSmartPtrCheck
| Base class for MakeSharedCheck and MakeUniqueCheck. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize